/*
 * Copyright(C) 2000 Проект ИОК
 *
 * Этот файл содержит информацию, являющуюся
 * собственностью компании Крипто Про.
 *
 * Любая часть этого файла не может быть скопирована,
 * исправлена, переведена на другие языки,
 * локализована или модифицирована любым способом,
 * откомпилирована, передана по сети с или на
 * любую компьютерную систему без предварительного
 * заключения соглашения с компанией Крипто Про.
 */

/*!
 * \file $RCSfile$
 * \version $Revision: 186620 $
 * \date $Date:: 2018-12-24 16:38:12 +0300#$
 * \author $Author: borodin $
 * \brief Функция смены pin.
 */

#include "ric_prj.h"

/*!
 * \brief Функция смены pin.
 */
DWORD oscar_change_pin(
    TRICContext *ctx, 
    unsigned char pin[PIN_LENGTH] )
{
    DWORD code;
    BYTE apdu_change[] = { 0, 0x42, 0x00, 0x00 };

    /* Select pin file. */
    code = select_app( ctx);
    if( code )
	return code;
    /* change pin */
    code = send_apdu( ctx, apdu_change, pin, PIN_LENGTH, NULL, NULL );
    if( code )
	return code;
    return ERROR_SUCCESS;
}
/* end of file:$Id: oscchp.c 186620 2018-12-24 13:38:12Z borodin $ */
